/v2/providers/rg_open_api/apis/api/v1/vendors/{vendorId}/rg/inventory/summaries2609170000RG Inventory API
簡介
RG Inventory API
詳細內容
Available buyer market: Korean
The Rocket Growth Inventory Summary API for local Korean Rocket Warehouses allows you to retrieve inventory information of Rocket Warehouse products within Coupang’s logistics network through programmatic integration.
It returns a list of inventory summaries. The returned summary depends on whether the vendorItemId parameter is provided:
- If the
vendorItemIdparameter is omitted, the API will return inventory summaries for all items with available details. - If the
vendorItemIdparameter is provided, the API will return inventory summaries only for the specifiedvendorItemId. ThenextTokenparameter will be ignored. - If both
vendorIdandnextTokenparameters are provided, the API will return inventory summaries for all items starting from thenextToken.
Important Note:
Please limit the frequency of API calls to no more than 50 times per minute, otherwise, you may encounter errors due to excessive requests.
路徑
範例端點
https://api-gateway.coupang.com/v2/providers/rg_open_api/apis/api/v1/vendors/{vendorId}/rg/inventory/summariesPath 參數
| Name | Type | Description |
|---|---|---|
| vendorId* | string | The seller's vendor id ( Initial with letter A, like Axxxx)
|
Query 參數
| Name | Type | Description |
|---|---|---|
| vendorItemId | string | Used to query the inventory summary of a specific seller's SKU via a single vendorItemId.
|
| nextToken | string | A string token returned in the response of your previous request, used for pagination.
|
回應內容
回應訊息
| Name | Type | Description |
|---|---|---|
| code | integer | Result code: SUCCESS/ERROR |
| message | string | Result message
|
| data | object[] | Valid information
|
| vendorId data[].vendorId | string | A unique code assigned to the seller by Coupang
|
| vendorItemId data[].vendorItemId | integer | A unique identifier for a single product
|
| externalSkuId data[].externalSkuId | integer | SKU ID defined by the seller
|
| inventoryDetails data[].inventoryDetails | object | Inventory details for the specific SKU
|
| totalOrderableQuantity data[].inventoryDetails.totalOrderableQuantity | integer | Total number of orderable units for the product
|
| salesCountMap data[].salesCountMap | object | Sales information
|
| SALES_COUNT_LAST_THIRTY_DAYS data[].salesCountMap.SALES_COUNT_LAST_THIRTY_DAYS | integer | Number of units sold in the past 30 days
|
| nextToken | string | Pagination token
|
Response Example
{
"code": 200,
"message": "SUCCESS",
"data": [
{
"vendorId": "A00123456",
"vendorItemId": 70000000000,
"externalSkuId": 10012345,
"inventoryDetails": {
"totalOrderableQuantity": 10
},
"salesCountMap": {
"SALES_COUNT_LAST_THIRTY_DAYS": 15
}
},
{
"vendorId": "A00123456",
"vendorItemId": 70000000001,
"externalSkuId": 10012346,
"inventoryDetails": {
"totalOrderableQuantity": 20
},
"salesCountMap": {
"SALES_COUNT_LAST_THIRTY_DAYS": 25
}
}
],
"nextToken": "2"
}錯誤碼
| HTTP | 代碼 | 訊息 |
|---|---|---|
| 400 | HTTP_400 | Bad Request |
| 429 | HTTP_429 | Too Many Requests |
錯誤說明
| HTTP | 類型 | 錯誤訊息 | 解決方案 |
|---|---|---|---|
| 400 | 400 | Request has missing or invalid parameters and cannot be parsed. | The request is missing parameters or contains invalid parameters and cannot be parsed. Please provide the required parameters. |
| 429 | 429 | Too Many Requests | Stop requesting and wait for a while to request again |